> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetAccountDocuments

POST https://api.voximplant.com/platform_api/GetAccountDocuments

Gets the account documents and the verification states.

This method will be deprecated in the next versions. We recommend to use the [GetAccountVerifications](/api-reference/management-api/accounts/getaccountverifications) method to get all the verifications and statuses for the account.

Allowed roles: `Owner`, `Admin`, `Accountant`, `Payer`.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/accounts/get-account-documents

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetAccountDocuments:
    post:
      operationId: get-account-documents
      summary: GetAccountDocuments
      description: >-
        Gets the account documents and the verification states.


        This method will be deprecated in the next versions. We recommend to use
        the
        [GetAccountVerifications](/api-reference/management-api/accounts/getaccountverifications)
        method to get all the verifications and statuses for the account.


        Allowed roles: `Owner`, `Admin`, `Accountant`, `Payer`.
      tags:
        - subpackage_accounts
      parameters:
        - name: with_details
          in: query
          description: >-
            Whether to view the uploaded document statuses. (The flag is ignored
            with the child_account_id=all)
          required: false
          schema:
            type: boolean
            default: false
        - name: verification_name
          in: query
          description: The required account verification name to filter
          required: false
          schema:
            type: string
        - name: verification_status
          in: query
          description: >-
            The account verification status list separated by semicolons (;).
            The following values are possible: REQUIRED, IN_PROGRESS, VERIFIED
          required: false
          schema:
            type: array
            items:
              type: string
        - name: from_unverified_hold_until
          in: query
          description: >-
            Unverified subscriptions hold until the date (from ...) in the
            following format: YYYY-MM-DD
          required: false
          schema:
            type: string
        - name: to_unverified_hold_until
          in: query
          description: >-
            Unverified subscriptions hold until the date (... to) in the
            following format: YYYY-MM-DD
          required: false
          schema:
            type: string
        - name: child_account_id
          in: query
          description: >-
            The child account ID list separated by semicolons (;). Use the 'all'
            value to select all child accounts
          required: false
          schema:
            type: array
            items:
              type: integer
        - name: children_verifications_only
          in: query
          description: Whether to get the children account verifications only
          required: false
          schema:
            type: boolean
            default: false
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/accounts_GetAccountDocuments_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    AccountVerificationDocument:
      type: object
      properties:
        account_document_id:
          type: integer
          description: The account verification document ID
        is_individual:
          type: boolean
          description: Whether the account belongs to an individual
        comment:
          type: string
          description: The reviewer's comment
        uploaded:
          type: string
          description: >-
            Timestamp in YYYY-MM-DD HH:mm:ss format.


            The UTC date of the document upload in the following format:
            YYYY-MM-DD HH::mm:ss
        account_document_status:
          type: string
          description: >-
            The account document status. The following values are possible:
            ACCEPTED, REJECTED, IN_PROGRESS, INCOMPLETE_SET
      description: >-
        The account verification document info. The [AccountVerificationType]
        field.
      title: AccountVerificationDocument
    AccountVerificationType:
      type: object
      properties:
        verification_name:
          type: string
          description: The verification name
        verification_status:
          type: string
          description: >-
            The account verification status. The following values are possible:
            REQUIRED, IN_PROGRESS, VERIFIED, NOT_REQUIRED
        unverified_hold_until:
          type: string
          description: >-
            Date string as returned by the Management API.


            Unverified subscriptions hold until the date in the following
            format: YYYY-MM-DD (if the account verification is required). Some
            subscriptions are detached on that day automatically!
        documents:
          type: array
          items:
            $ref: '#/components/schemas/AccountVerificationDocument'
          description: The uploaded documents
      description: The account verification info. The [AccountVerificationsType] field.
      title: AccountVerificationType
    AccountDocumentsType:
      type: object
      properties:
        account_id:
          type: integer
          description: The account ID
        verifications:
          type: array
          items:
            $ref: '#/components/schemas/AccountVerificationType'
          description: The account verifications
      description: The account documents with verification states
      title: AccountDocumentsType
    accounts_GetAccountDocuments_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/AccountDocumentsType'
          description: The account documents with verification states
      title: accounts_GetAccountDocuments_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetAccountDocuments"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetAccountDocuments';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetAccountDocuments"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetAccountDocuments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetAccountDocuments")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetAccountDocuments', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetAccountDocuments");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetAccountDocuments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```